NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Classes | Public Types | Public Member Functions | Properties | List of all members
NXOpen.Routing.SegmentManager Class Reference

Contains the type of the routing part as well as the Collection objects for creating/iterating over routing objects. More...

Inheritance diagram for NXOpen.Routing.SegmentManager:
NXOpen.Utilities.NXRemotableObject IMessageSink

Classes

struct  SubdivideOption
 Contains subdivide segment method information. More...
 

Public Types

enum  SubdivideSpacing {
  ScreenPoint, EqualArcLength, EqualParameter, IncrementalArcLength,
  GeometricRatio, ChordalTolerance, NumberOfOptions
}
 Specifies spacing option for subdivide segment. More...
 

Public Member Functions

unsafe NXOpen.Routing.ISegment CreateConstrainedSegment (NXOpen.Routing.ControlPoint startRcp, NXOpen.Routing.ControlPoint endRcp)
 Creates a constrained line NXOpen.Routing.ISegment object with input NXOpen.Routing.ControlPoint as ends. More...
 
unsafe NXOpen.Routing.HealPath CreateHealPath ()
 Creates a new empty NXOpen.Routing.HealPath object that can be used as an input to NXOpen.Routing.SegmentManager.CreateHealSpline . More...
 
unsafe NXOpen.Routing.ISegment CreateHealSpline (NXOpen.DisplayableObject startObject, NXOpen.DisplayableObject endObject, NXOpen.Routing.HealPath healPath)
 Creates a spline NXOpen.Routing.ISegment object with input NXOpen.Routing.ControlPoint as ends. More...
 
unsafe NXOpen.Routing.ISegment CreateSegment (NXOpen.Curve followCurve, NXOpen.Routing.ControlPoint startRcp, NXOpen.Routing.ControlPoint endRcp, NXOpen.Routing.UserDefined userDefined)
 Creates a NXOpen.Routing.ISegment object following a curve. More...
 
unsafe NXOpen.Routing.ISegment CreateSegment (NXOpen.Routing.ControlPoint startRcp, NXOpen.Routing.ControlPoint endRcp)
 Creates a line NXOpen.Routing.ISegment object with input NXOpen.Routing.ControlPoint as ends. More...
 
unsafe NXOpen.Routing.ISegment[] GetShortestPathBetweenControlPoints (NXOpen.Routing.ControlPoint controlPoint1, NXOpen.Routing.ControlPoint controlPoint2)
 Returns the shortest connected segments (i. More...
 
unsafe void ModelTerminals (NXOpen.Routing.Port multiPort, double cutBackLength, string extensionString, bool overrideCharx, NXOpen.Routing.Port[] terminalPorts)
 Models spline paths to to specified terminals. More...
 
unsafe void ProcessBuiltInPaths (NXOpen.Assemblies.Component partOcc)
 Create segments of NXOpen.Routing.BuiltInPath objects present in this NXOpen.Assemblies.Component object. More...
 
unsafe NXOpen.Routing.ISegment SetFollowCurve (NXOpen.Routing.ISegment segment, NXOpen.Curve followCurve)
 Set segment follow curve. More...
 
unsafe void SimplifySegments (NXOpen.Routing.ISegment[] segments, bool doUpdate, out NXOpen.Routing.ISegment[] newSegments)
 Combine segments that are collinear and whose intermediate RCPs do not branch More...
 
unsafe void Subdivide (NXOpen.Routing.ISegment segment, NXOpen.Routing.SegmentManager.SubdivideOption subdivideOption, out NXOpen.Routing.ISegment[] subdivideSegments)
 Subdivide a routing path segment More...
 
unsafe void UnmodelTerminals (NXOpen.Routing.Port multiPort, NXOpen.Routing.Port[] terminalPorts)
 Un-model terminals and update connection list routes for specified terminal ports. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

NXOpen.Routing.ArcSegmentCollection ArcSegments [get]
 Arc Segment collection More...
 
NXOpen.Routing.LineSegmentCollection LineSegments [get]
 Line Segment collection More...
 
NXOpen.Routing.ISegmentCollection Segments [get]
 All Segment types collection More...
 
NXOpen.Routing.SplineSegmentCollection SplineSegments [get]
 Spline Segment collection More...
 
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.Utilities.NXRemotableObject
void initialize ()
 <exclude> More...
 

Detailed Description

Contains the type of the routing part as well as the Collection objects for creating/iterating over routing objects.

To obtain an instance of this class, refer to NXOpen.Part

Created in NX4.0.0

Member Enumeration Documentation

Specifies spacing option for subdivide segment.

Enumerator
ScreenPoint 

Screen Point

EqualArcLength 

Equal Arc Length

EqualParameter 

Equal Parameter

IncrementalArcLength 

Incremental Arc Length

GeometricRatio 

Geometric Progression Ratio

ChordalTolerance 

Chordal Tolerance

NumberOfOptions 

Number of Options

Member Function Documentation

unsafe NXOpen.Routing.ISegment NXOpen.Routing.SegmentManager.CreateConstrainedSegment ( NXOpen.Routing.ControlPoint  startRcp,
NXOpen.Routing.ControlPoint  endRcp 
)
inline

Creates a constrained line NXOpen.Routing.ISegment object with input NXOpen.Routing.ControlPoint as ends.

Only use this method when building segments in a part that use NXOpen.Positioning.Constraint objects to constraint components and geometry. This is a new method for creating segments in NX5 and should be used instead of NXOpen.Routing.SegmentManager.CreateSegment for all line segments.

Created in NX5.0.0

License requirements: routing_base ("Routing Basic")

Parameters
startRcpStart NXOpen.Routing.ControlPoint of the segment
endRcpEnd NXOpen.Routing.ControlPoint of the segment
Returns
Created segment
unsafe NXOpen.Routing.HealPath NXOpen.Routing.SegmentManager.CreateHealPath ( )
inline

Creates a new empty NXOpen.Routing.HealPath object that can be used as an input to NXOpen.Routing.SegmentManager.CreateHealSpline .

Created in NX5.0.0

License requirements: routing_base ("Routing Basic")

Returns
unsafe NXOpen.Routing.ISegment NXOpen.Routing.SegmentManager.CreateHealSpline ( NXOpen.DisplayableObject  startObject,
NXOpen.DisplayableObject  endObject,
NXOpen.Routing.HealPath  healPath 
)
inline

Creates a spline NXOpen.Routing.ISegment object with input NXOpen.Routing.ControlPoint as ends.

Created in NX5.0.0

License requirements: routing_base ("Routing Basic")

Parameters
startObjectStart NXOpen.DisplayableObject of the segment, ideally it should be NXOpen.Routing.Port
endObjectEnd NXOpen.DisplayableObject of the segment, ideally it should be NXOpen.Routing.Port
healPath
Returns
Created segment
unsafe NXOpen.Routing.ISegment NXOpen.Routing.SegmentManager.CreateSegment ( NXOpen.Curve  followCurve,
NXOpen.Routing.ControlPoint  startRcp,
NXOpen.Routing.ControlPoint  endRcp,
NXOpen.Routing.UserDefined  userDefined 
)
inline

Creates a NXOpen.Routing.ISegment object following a curve.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
followCurveCurve to follow
startRcpStart NXOpen.Routing.ControlPoint of the segment
endRcpEnd NXOpen.Routing.ControlPoint of the segment
userDefinedIs segment user defined?
Returns
Created segment
unsafe NXOpen.Routing.ISegment NXOpen.Routing.SegmentManager.CreateSegment ( NXOpen.Routing.ControlPoint  startRcp,
NXOpen.Routing.ControlPoint  endRcp 
)
inline

Creates a line NXOpen.Routing.ISegment object with input NXOpen.Routing.ControlPoint as ends.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
startRcpStart NXOpen.Routing.ControlPoint of the segment
endRcpEnd NXOpen.Routing.ControlPoint of the segment
Returns
Created segment
unsafe NXOpen.Routing.ISegment [] NXOpen.Routing.SegmentManager.GetShortestPathBetweenControlPoints ( NXOpen.Routing.ControlPoint  controlPoint1,
NXOpen.Routing.ControlPoint  controlPoint2 
)
inline

Returns the shortest connected segments (i.

e. the path) linking the two NXOpen.Routing.ControlPoint s, if any.

Created in NX11.0.1

License requirements: routing_base ("Routing Basic")

Parameters
controlPoint1
controlPoint2
Returns
unsafe void NXOpen.Routing.SegmentManager.ModelTerminals ( NXOpen.Routing.Port  multiPort,
double  cutBackLength,
string  extensionString,
bool  overrideCharx,
NXOpen.Routing.Port[]  terminalPorts 
)
inline

Models spline paths to to specified terminals.

Updates connection list to reflect changes to wire lengths of referencing connections.

Created in NX5.0.0

License requirements: routing_base ("Routing Basic")

Parameters
multiPortMultiPort whose terminals are modeled
cutBackLengthLength of cut back path connected to multiport.
extensionStringLength of terminal segments which extends parallel to terminal ports
overrideCharxif TRUE: extension_string determines all terminal extensions
terminalPortsTerminal ports from which terminals are modeled
unsafe void NXOpen.Routing.SegmentManager.ProcessBuiltInPaths ( NXOpen.Assemblies.Component  partOcc)
inline

Create segments of NXOpen.Routing.BuiltInPath objects present in this NXOpen.Assemblies.Component object.

Created in NX5.0.0

License requirements: routing_base ("Routing Basic")

Parameters
partOcc
unsafe NXOpen.Routing.ISegment NXOpen.Routing.SegmentManager.SetFollowCurve ( NXOpen.Routing.ISegment  segment,
NXOpen.Curve  followCurve 
)
inline

Set segment follow curve.

Segment can change type to mirror the type of the follow curve being set.

Created in NX4.0.0

License requirements: routing_base ("Routing Basic")

Parameters
segmentSegment to set follow curve on
followCurveFollow curve of segment
Returns
Segment can possibly change types. Use the returned segment object pointer instead of any older pointers after calling this function. For example: A LineSegment can become a SplineSegment after calling this function if new follow curve is a spline.
unsafe void NXOpen.Routing.SegmentManager.SimplifySegments ( NXOpen.Routing.ISegment[]  segments,
bool  doUpdate,
out NXOpen.Routing.ISegment[]  newSegments 
)
inline

Combine segments that are collinear and whose intermediate RCPs do not branch

Created in NX5.0.0

License requirements: routing_base ("Routing Basic")

Parameters
segmentssegments to combine
doUpdateFires update if True
newSegmentsresulting segments
unsafe void NXOpen.Routing.SegmentManager.Subdivide ( NXOpen.Routing.ISegment  segment,
NXOpen.Routing.SegmentManager.SubdivideOption  subdivideOption,
out NXOpen.Routing.ISegment[]  subdivideSegments 
)
inline

Subdivide a routing path segment

Created in NX5.0.0

License requirements: routing_base ("Routing Basic")

Parameters
segmentSegment to subdivide
subdivideOption
subdivideSegmentsresulting segments
unsafe void NXOpen.Routing.SegmentManager.UnmodelTerminals ( NXOpen.Routing.Port  multiPort,
NXOpen.Routing.Port[]  terminalPorts 
)
inline

Un-model terminals and update connection list routes for specified terminal ports.

Created in NX5.0.0

License requirements: routing_base ("Routing Basic")

Parameters
multiPortMultiPort whose terminals being un-modeled
terminalPortsTerminal ports being modeled

Property Documentation

NXOpen.Routing.ArcSegmentCollection NXOpen.Routing.SegmentManager.ArcSegments
get

Arc Segment collection

Created in NX3.0.0

NXOpen.Routing.LineSegmentCollection NXOpen.Routing.SegmentManager.LineSegments
get

Line Segment collection

Created in NX3.0.0

NXOpen.Routing.ISegmentCollection NXOpen.Routing.SegmentManager.Segments
get

All Segment types collection

Created in NX7.5.1

NXOpen.Routing.SplineSegmentCollection NXOpen.Routing.SegmentManager.SplineSegments
get

Spline Segment collection

Created in NX3.0.0

Tag NXOpen.Routing.SegmentManager.Tag
get

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.